Author Topic: Codeblocks asking for plugin  (Read 399 times)

Offline nightowl

  • Single posting newcomer
  • *
  • Posts: 3
Codeblocks asking for plugin
« on: July 03, 2017, 02:16:17 pm »
Hi there,
Recently I've downloaded Codeblocks 13.12 minGW version. Yesterday I opened codeblocks and I got a warning :
" One or more plugins were not loaded. List of failed plugins: ProjectOptionsManipulator.dll"
I tried downloading eclipse IDE, but it didn't work. I know that this is a dumb question but I don't know what to do :( Can someone please please please help me?
Thank you in andvance.

Online stahta01

  • Lives here!
  • ****
  • Posts: 5846
    • My Best Post
Re: Codeblocks asking for plugin
« Reply #1 on: July 03, 2017, 04:31:29 pm »
Edit: Added line below.
How to avoid the issue you are having.
1. Do NOT install Code::Blocks in a folder already containing Code::Blocks.
2. Before downgrading Code::Blocks to an old version of Code::Blocks remove all newer versions of Code::Blocks.

State why you want to use an old version of Code::Blocks!

Tim S.

« Last Edit: July 03, 2017, 09:11:36 pm by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Testing, compiling CB Trunk against wxWidgets 3.0.2.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline nightowl

  • Single posting newcomer
  • *
  • Posts: 3
Re: Codeblocks asking for plugin
« Reply #2 on: July 03, 2017, 09:16:42 pm »
Hi Tim,
Thank you for a quick response!
 I didn't install code::blocks in a folder already containing code::blocks. At first I downloaded codeblocks 16.01, but this version said that I don't have compilers. So Codeblocks 13.12 minGW version was the only one for me (as I assumed). Before downloading 13.12 version I deleted 16.01 version, so I don't know how I could install CodeBlocks in a folder already containing Codeblocks.
So right now I am confused and frustrated. Basically I don't know what to do next.
G.

Online stahta01

  • Lives here!
  • ****
  • Posts: 5846
    • My Best Post
Re: Codeblocks asking for plugin
« Reply #3 on: July 03, 2017, 09:23:33 pm »
Uninstall CB 13.12; then, install CB 16.01 with an installer with MinGW in the installer filename.

Tim S.
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Testing, compiling CB Trunk against wxWidgets 3.0.2.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline nightowl

  • Single posting newcomer
  • *
  • Posts: 3
Re: Codeblocks asking for plugin
« Reply #4 on: July 03, 2017, 09:31:07 pm »
Hey Tim,
It worked! Thank you very much! I really appreciate your help :) You are my saver :)
G.
« Last Edit: July 03, 2017, 09:45:21 pm by nightowl »

Offline aindrajaya

  • Multiple posting newcomer
  • *
  • Posts: 14
Re: Codeblocks asking for plugin
« Reply #5 on: July 05, 2017, 08:08:17 pm »
Hi, Thanks for your explanation  :D